# org.springframework.jms.listener

## Interfaces

- SessionAwareMessageListener
- SubscriptionNameProvider

## Classes

- AbstractJmsListeningContainer
- AbstractMessageListenerContainer
- AbstractPollingMessageListenerContainer
- DefaultMessageListenerContainer
- DefaultMessageListenerContainer102
- SimpleMessageListenerContainer
- SimpleMessageListenerContainer102

## Exceptions

- AbstractJmsListeningContainer.SharedConnectionNotInitializedException